Public Attributes | List of all members
ll_msio_init_t Struct Reference
Peripheral Driver » LL Driver » MSIO » Structures » MSIO Exported init structures

LL MSIO init Structure definition. More...

`#include <ll_msio.h>`

## Public Attributes
uint32_t | pin
uint32_t | direction
uint32_t | mode
uint32_t | pull
uint32_t | mux
uint32_t | speed
uint32_t | strength
uint32_t | input_type

## Detailed Description

LL MSIO init Structure definition.

Definition at line 85 of file ll_msio.h.

## Member Data Documentation

## ◆ direction

uint32_t ll_msio_init_t::direction

Specifies the direction for the selected pins. This parameter can be a value of Direction.

MSIO HW MSIO_InitStructuration can be modified afterwards using unitary function ll_msio_set_pin_direction().

Definition at line 90 of file ll_msio.h.

## ◆ input_type

uint32_t ll_msio_init_t::input_type

Specifies the IO input type for the selected pins. This parameter can be a value of Input type. MSIO HW configuration can be modified afterwards using unitary function ll_msio_set_pin_input_type().

Definition at line 119 of file ll_msio.h.

## ◆ mode

uint32_t ll_msio_init_t::mode

Specifies the operating mode for the selected pins. This parameter can be a value of Mode.

MSIO HW MSIO_InitStructuration can be modified afterwards using unitary function ll_msio_set_pin_mode().

Definition at line 95 of file ll_msio.h.

## ◆ mux

uint32_t ll_msio_init_t::mux

Specifies the Peripheral to be connected to the selected pins. This parameter can be a value of MSIO_LL_EC_MUX.

GPIO HW MSIO_InitStructuration can be modified afterwards using unitary function ll_msio_set_pin_mux().

Definition at line 105 of file ll_msio.h.

## ◆ pin

uint32_t ll_msio_init_t::pin

Specifies the MSIO pins to be MSIO_InitStructured. This parameter can be any value of PIN MSIO pin

Definition at line 87 of file ll_msio.h.

## ◆ pull

uint32_t ll_msio_init_t::pull

Specifies the operating Pull-up/Pull down for the selected pins. This parameter can be a value of Pull Up Pull Down.

MSIO HW configuration can be modified afterwards using unitary function ll_msio_set_pin_pull().

Definition at line 100 of file ll_msio.h.

## ◆ speed

uint32_t ll_msio_init_t::speed

Specifies the IO speed for the selected pins. This parameter can be a value of IO Speed. MSIO HW configuration can be modified afterwards using unitary function ll_msio_set_pin_speed().

Definition at line 111 of file ll_msio.h.

## ◆ strength

uint32_t ll_msio_init_t::strength

Specifies the IO output drive strength for the selected pins. This parameter can be a value of IO Strength. MSIO HW configuration can be modified afterwards using unitary function ll_msio_set_pin_strength().

Definition at line 115 of file ll_msio.h.

The documentation for this struct was generated from the following file:

- ll_msio.h